Skip to main content
GET
/
v1
/
scans
/
stats
Scan statistics
curl --request GET \
  --url https://api.passlet.io/v1/scans/stats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.passlet.io/v1/scans/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.passlet.io/v1/scans/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "totalPasses": 4503599627370495,
  "redeemed": 4503599627370495,
  "open": 4503599627370495,
  "totalScans": 4503599627370495,
  "totalDenied": 4503599627370495,
  "scanContextKey": "<string>",
  "lastScanAt": "2023-11-07T05:31:56Z",
  "groups": [
    {
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "totalPasses": 4503599627370495,
      "redeemed": 4503599627370495,
      "open": 4503599627370495,
      "totalScans": 4503599627370495,
      "totalDenied": 4503599627370495,
      "lastScanAt": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.

Query Parameters

projectId
string<uuid>

Scope all counts to one project.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
templateId
string<uuid>

Scope all counts to one template.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
scanContextKey
string
Maximum string length: 128
scanContextFrom
string
Pattern: ^\d{4}-\d{2}-\d{2}$
scanContextUntil
string
Pattern: ^\d{4}-\d{2}-\d{2}$
scannedSince
string<date-time>

ISO 8601 timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
scannedUntil
string<date-time>

ISO 8601 timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
groupBy
enum<string>

Add a per-project breakdown (groups[]) alongside the totals.

Available options:
project

Response

OK

projectId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
templateId
string<uuid> | null
required

Template identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
totalPasses
integer
required
Required range: 0 <= x <= 9007199254740991
redeemed
integer
required
Required range: 0 <= x <= 9007199254740991
open
integer
required
Required range: 0 <= x <= 9007199254740991
totalScans
integer
required
Required range: 0 <= x <= 9007199254740991
totalDenied
integer
required
Required range: 0 <= x <= 9007199254740991
scanContextKey
string | null
required
lastScanAt
string<date-time> | null
required

ISO 8601 timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
groups
object[]